id: com.ubports.teleports
runtime: com.ubports.Platform
runtime-version: '5.15-23.08'
sdk: com.ubports.Sdk
command: teleports
rename-desktop-file: teleports.desktop
#rename-icon: icon
finish-args:
  - --share=ipc
  - --share=network
  - --socket=x11
  - --socket=wayland
  - --device=dri
  - --env=QML2_IMPORT_PATH=/app/lib/qml/rLottieQml/
separate-locales: false
cleanup:
  - '*.a'
  - '*.h'
  - /app/lib/cmake
modules:
  - name: tdlib
    buildsystem: cmake-ninja
#    make-args:
#      - -j1
    sources:
      - type: git
        url: https://github.com/tdlib/td/
        commit: 163bfbcc7a86f3faea373ae70aec9aa7b51b71eb
    builddir: true

  - name: quickflux
    buildsystem: cmake-ninja
    sources:
      - type: git
        url: https://github.com/benlau/quickflux
        commit: c4a1a477b09e2c8fc924de82d99fae072a911af1

  - name: rlottie
    buildsystem: cmake-ninja
    config-opts:
      - -DLIB_INSTALL_DIR=/app/lib/
    sources: 
      - type: git
        url: https://github.com/TelegramMessenger/rlottie
        commit: 67f103bc8b625f2a4a9e94f1d8c7bd84c5a08d1d
      - type: patch
        path: patches/0001-rlottie-Disable-werror.patch
      - type: patch
        path: patches/rlottie-gcc11.patch

  - name: quazip
    buildsystem: qmake
    sources:
      - type: archive
        url: https://github.com/stachenov/quazip/archive/v0.8.1.tar.gz
        sha256: 4fda4d4248e08015b5090d0369ef9e68bdc4475aa12494f7c0f6d79e43270d14
    
  - name: rlottie-qml
    buildsystem: cmake-ninja
    sources:
      - type: git
        url: https://gitlab.com/mymike00/rlottie-qml
        commit: f9506889a284039888c7a43db37e155bb7b30c40
      - type: patch
        path: patches/0001-rlottieqml-Use-ecm.patch

  - name: teleports
    build-commands:
     - sed -i 's,assets/icon.svg,com.ubports.teleports,g' teleports.desktop.in
    post-install:
     - mkdir -p /app/share/icons/hicolor/scalable/apps/
     - cp assets/icon.svg $FLATPAK_DEST/share/icons/hicolor/scalable/apps/com.ubports.teleports.svg
    buildsystem: cmake-ninja
    sources:
      - type: git
        url: https://gitlab.com/ubports/development/apps/teleports
        branch: main
      - type: patch
        path: patches/0001-Use-standard-install-locations.patch
      - type: patch
        path: patches/0001-Patch-out-Lomiri.Connectivity.patch
      - type: patch
        path: patches/0001-teleports-Use-QApplication-to-make-it-compatible-wit.patch
